Bug 509747 - mingw32-nsiswrapper: missing requirement (mingw32-binutils)
mingw32-nsiswrapper: missing requirement (mingw32-binutils)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mingw32-nsiswrapper (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-05 14:06 EDT by Jose Pedro Oliveira
Modified: 2009-09-11 19:34 EDT (History)
2 users (show)

See Also:
Fixed In Version: 3-3.fc10.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-12 16:56:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2009-07-05 14:06:26 EDT
Description of problem:
The nsis wrapper script requires mingw32-binutils to operate correctly.

Version-Release number of selected component (if applicable):
mingw32-nsiswrapper-3-3.el5.1

How reproducible:
Always if you only have mingw32-nsiswrapper and its requirement mingw32-nsis installed.

Steps to Reproduce:
1. $ nsiswrapper bla 
   i686-pc-mingw32-objdump: program not found on $PATH
  
Actual results:
$ nsiswrapper pbla
i686-pc-mingw32-objdump: program not found on $PATH

Expected results:
A NSIS script scrolling on stdout.

Additional info:
Perl code that aborts the nsis wrapper:
...
# Check prerequisites.

sub check_prereqs
{
    my @paths = split (/:/, $ENV{PATH});

    if (! $objdump) {
        $objdump = check_path ("i686-pc-mingw32-objdump", @paths);
        if (! $objdump || ! -x $objdump) {
            die "i686-pc-mingw32-objdump: program not found on \$PATH\n"
        }
    }
}
...
Comment 1 Jose Pedro Oliveira 2009-07-05 14:11:31 EDT
Affected branches:
This appears to affect all the Fedora and EPEL branches.


Easy fix:
Adding the line

   Requires:  mingw32-binutils

to the mingw32-nsiswrapper specfile fixes the problem.
Comment 2 Richard W.M. Jones 2009-07-05 15:57:31 EDT
Yes, I'll take this one.
Comment 3 Fedora Update System 2009-07-05 17:18:07 EDT
mingw32-nsiswrapper-3-4.fc11.2 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mingw32-nsiswrapper-3-4.fc11.2
Comment 4 Fedora Update System 2009-07-05 17:34:03 EDT
mingw32-nsiswrapper-3-3.fc10.2 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mingw32-nsiswrapper-3-3.fc10.2
Comment 5 Fedora Update System 2009-07-11 12:59:54 EDT
mingw32-nsiswrapper-3-4.fc11.2 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mingw32-nsiswrapper'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7431
Comment 6 Fedora Update System 2009-07-11 13:08:59 EDT
mingw32-nsiswrapper-3-3.fc10.2 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mingw32-nsiswrapper'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7457
Comment 7 Fedora Update System 2009-08-12 16:55:59 EDT
mingw32-nsiswrapper-3-4.fc11.2 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-09-11 19:34:36 EDT
mingw32-nsiswrapper-3-3.fc10.2 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.